.form {
  &__field {
    margin-bottom: $spacer-default;

    &__help {
      @include font-size(small);

      font-style: italic;
    }

    &--file {
      input[type="file"] {
        display: none;
      }

      .form__field__help {
        margin-top: $spacer-default;
      }
    }

    // Rails names
    .field_with_errors label {
      color: var(--color-warning);
    }
  }

  &__actions {
    text-align: right;
  }

}

@include respond-to('small-up') {
  .form__field {
    display: grid;
    grid-template-columns: 2fr 4fr;

    &:not(:first-child) {
      margin-top: $spacer-small;
    }

    > label,
    > .field_with_errors {
      padding-top: $spacer-tiny;
      margin-right: $spacer-default;
      text-align: right;
    }
  }
}
